<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Lifecycle\Designer;

use PpPhp\Core\Platform\Event\Lifecycle\LifecycleEvent;

final class SelectionChanged extends LifecycleEvent
{
    public function __construct(array $payload = [], array $metadata = [])
    {
        parent::__construct('platform.designer.selection_changed', 'designer', 'selection_changed', 'selection', $payload, $metadata);
    }
}
